Get a segment with its definition and generated SQL
GET
/api/v1/workspaces/{workspace}/segments/{segment}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/segments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/segments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/segments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Permission: subscribers:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
segment
required
Segment id
string format: uuid
Segment id
Responses
Section titled “Responses”OK
Media typeapplication/json
object
count
integer format: int64
countMs
integer format: int32
countedAt
string format: date-time
definition
object
groups
required
Array<object>
object
conditions
required
Array<object>
object
amount
integer format: int64
field
required
string
op
required
string
to
string
unit
string
value
string
match
required
All = every condition, any = at least one
string
description
required
string
generatedSql
required
string
id
required
string
mode
required
string
name
required
string
refresh
required
string
sql
required
string
tiers
required
object
active
required
integer format: int64
atRisk
required
integer format: int64
cooling
required
integer format: int64
sunset
required
integer format: int64
updatedAt
required
string format: date-time
updatedBy
required
string
Example
{ "definition": { "groups": [ { "conditions": [ { "unit": "days" } ], "match": "all" } ] }, "mode": "builder", "refresh": "dynamic"}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}